"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.output = void 0;
const screen_1 = require("../../screen");
const output_1 = require("../guard/output");
function output(result) {
    (0, output_1.output)(result.guardResult);
    (0, screen_1.print)();
    (0, screen_1.printSubTitle)('Rule Library');
    (0, screen_1.print)(`Rule Count: ${result.library.count}`);
    (0, screen_1.print)(`Category Count: ${result.library.categoryCount}`);
    (0, screen_1.print)();
    for (const category of result.library.categories) {
        (0, screen_1.print)(`${screen_1.OBJECT_ICONS.ruleCategory.get()} ${category.name}`, 2);
        (0, screen_1.print)(`Rule Count: ${category.count}`, 5);
        for (const rule of category.rules) {
            (0, screen_1.print)(`${screen_1.OBJECT_ICONS.rule.get()} ${rule.title}`, 5);
            (0, screen_1.print)(`Name: ${rule.name}`, 9);
            (0, screen_1.print)(`Path: ${rule.path}`, 9);
            (0, screen_1.print)();
        }
    }
    (0, screen_1.print)(`Library Index: ${result.libraryPath}`);
    (0, screen_1.printProcessStatus)(result.success ? 'pass' : 'fail', 'Index Generation');
}
exports.output = output;
//# sourceMappingURL=output.js.map