/// <reference types="bluebird" />
import { Promise } from 'the-promise';
import { ExecutionContext } from '../../execution/execution-context';
export interface CacheProcessorResult {
    success: boolean;
    messages: string[];
    namespace: string | null;
    cache: Record<string, any>;
}
export declare class CacheProcessor {
    private _logger;
    private _runnable;
    private _src;
    private _executionContext;
    constructor(src: string, executionContext: ExecutionContext);
    prepare(): import("bluebird")<{
        success: boolean;
        messages: never[];
    }>;
    private _loadModule;
    private _validate;
    execute(namespace: string | null, values: Record<string, any>): Promise<CacheProcessorResult>;
    private _setupQueryBuilders;
    private _addError;
}
//# sourceMappingURL=processor.d.ts.map